=== modified file 'bzrlib/tests/per_transport.py'
--- bzrlib/tests/per_transport.py	2011-12-23 19:05:06 +0000
+++ bzrlib/tests/per_transport.py	2011-12-23 19:38:22 +0000
@@ -57,6 +57,7 @@
     _get_transport_modules,
     )
 from bzrlib.transport.memory import MemoryTransport
+from bzrlib.transport.remote import RemoteTransport
 
 
 def get_transport_test_permutations(module):
@@ -1845,7 +1846,9 @@
         t = self.get_transport()
         self.assertEqual([], log)
         t.has("non-existant")
-        if isinstance(t, ConnectedTransport):
+        if isinstance(t, RemoteTransport):
+            self.assertEqual([t.get_smart_medium()], log)
+        elif isinstance(t, ConnectedTransport):
             self.assertEqual([t], log)
         else:
             self.assertEqual([], log)
@@ -1861,7 +1864,9 @@
         t1.has("x")
         t2.has("x")
         t3.has("x")
-        if isinstance(t1, ConnectedTransport):
+        if isinstance(t1, RemoteTransport):
+            self.assertEqual([t.get_smart_medium() for t in [t1, t3]], log)
+        elif isinstance(t1, ConnectedTransport):
             self.assertEqual([t1, t3], log)
         else:
             self.assertEqual([], log)

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2011-12-14 19:44:40 +0000
+++ bzrlib/transport/__init__.py	2011-12-23 19:38:22 +0000
@@ -291,8 +291,8 @@
         super(TransportHooks, self).__init__()
         self.add_hook("post_connect",
             "Called after a new connection is established or a reconnect "
-            "occurs. The connected transport instance is the sole argument "
-            "passed.", (2, 5))
+            "occurs. The sole argument passed is either the connected "
+            "transport or smart medium instance.", (2, 5))
 
 
 class Transport(object):

